<?php
/**
 * Plugin Name: enrol.chat
 * Plugin URI: https://enrol.chat/
 * Description: Create the best conversational chatbot for your website
 * Version: 1.1
 * Author: Virture Infotek Pte Ltd.
 * Author URI: http://mapview.in/
 */
 
	add_action('admin_menu', 'ecbw_setup_menu');
	
	/* Function for add menu */
	/* add_menu_page(
		string $page_title,
		string $menu_title,
		string $capability,
		string $menu_slug,
		callable $function = '',
		string $icon_url = '',
		int $position = null
	); */
	function ecbw_setup_menu(){
		add_menu_page( 
			'enrol.chat', 
			'enrol.chat', 
			'manage_options', 
			'enrol-chat', 
			'ecbw_options_page_html',
			plugin_dir_url(__FILE__) . 'images/ecbw_icon.png'
		);
	}
	
	/* Page data */
	function ecbw_options_page_html() {
		
		$txtEnrolBotId = "enrol_bot_id";
		
		if(isset($_POST["submit"])){
		
			//$enrolBotId = $_POST[$txtEnrolBotId];
			$enrolBotId = sanitize_text_field($_POST[$txtEnrolBotId]);
			
			if(!preg_match("/^[a-zA-Z0-9]+$/",$enrolBotId) || strlen($enrolBotId) > 50){ 
				echo '<div id="message" class="error fade notice"><p>Invalid chatbot code.</p></div>';
			}
			else{
				update_option($txtEnrolBotId, $enrolBotId);
				
				echo '<div id="message" class="updated fade notice"><p>Chatbot code updated.</p></div>';
			}
		}
		else{
			$enrolBotId = get_option($txtEnrolBotId);
		}
		?><div class="wrap">
		  
			<h1><?php echo esc_html( get_admin_page_title() ); ?></h1>
		  
			<form action="<?php menu_page_url( 'enrol-chat' ) ?>" method="post">
				<p>Create the best conversational chatbot for your website</p>
				
				<table class="form-table" role="presentation">
					<tbody>
						<tr>
							<th><label for="<?php print($txtEnrolBotId);?>">Chatbot code</label></th>
							<td> <input name="<?php print($txtEnrolBotId);?>" id="<?php print($txtEnrolBotId);?>" type="text" value="<?php print($enrolBotId);?>" class="regular-text code" required></td>
						</tr>
					</tbody>
				</table><?php
				
				// output save settings button
				submit_button( __( 'Save Settings', 'textdomain' ) );
			
				?><table class="form-table">
					<tbody>
						<tr id="" class="">
							<th class="">
								<label for="search_form">
								Initialize chatbot
								</label>
							</th>
							<td>
								<div class="">
									<input type="text" id="Initialize_chatbot" name="Initialize_chatbot" class="regular-text code" value="window.chatwidget.init();" readonly>
									<p class="" style="margin-bottom: 10px;">You can use the below method to initialize the chat bot</p>
									
<textarea id="" name="" rows="6" cols="50"  class="large-text code" spellcheck="false" readonly >
window.chatwidget.init({
	sys.name = "John Smith"; //Current user fullname
	sys.email = "johnsmith@email.com"; //Current user email address
	sys.username = "johnsmith@email.com"; //Current username
})
</textarea>
									<p>Optionally, you can pass logged in user information with the initialization code as shown below</p>

								</div>
							</td>
						</tr>
						<tr id="" class="">
							<th class="">
								<label for="Show_chatbot_widget">
								Show chatbot widget
								</label>
							</th>
							<td>
								<div class="">
									<input type="text" id="Show_chatbot_widget" name="Show_chatbot_widget" class="regular-text code" value="window.chatwidget.showWidget();" readonly>
									<p class="">This will show the chatbot launcher widget if it is hidden.</p>
								</div>
							</td>
						</tr>
						<tr id="" class="">
							<th class="">
								<label for="Hide_chatbot_widget">
								Hide chatbot widget
								</label>
							</th>
							<td>
								<div class="">
									<input type="text" id="Hide_chatbot_widget" name="Hide_chatbot_widget" class="regular-text code" value="window.chatwidget.hideWidget();" readonly>
									<p class="">This will hide the chatbot launcher widget.</p>
								</div>
							</td>
						</tr>
						<tr id="" class="">
							<th class="">
								<label for="Terminate_chatbot">
								Terminate chatbot
								</label>
							</th>
							<td>
								<div class="">
									<input type="text" id="Terminate_chatbot" name="Terminate_chatbot" class="regular-text code" value="window.chatwidget.exit();" readonly maxlength="50">
									<p class="">Use this to terminate your chatbot</p>
								</div>
							</td>
						</tr>
						
					</tbody>
				</table>
			
			</form>
		</div><?php
		
	}
	
	/* Function for add script in footer */
	add_action( 'wp_footer', 'ecbw_chat_script' );
	
	function ecbw_chat_script() {
		
		$enrolBotId = esc_js(get_option('enrol_bot_id'));
		
		if(!empty($enrolBotId)){
			?><!--Start of Chatwidget Script-->
			<script>(function(){var a=window;a.chatbsettings={gurl:"https://enrol.app",pid:"<?php print($enrolBotId); ?>"};var b=document,c=function(){window.chatwidget?window.chatwidget.init():setTimeout(()=>{c()},100)},d=function(){var d=b.createElement("script");d.type="text/javascript",d.async=!0,d.src=a.chatbsettings.gurl+"/chatwidget/widget.js",d.onload=c(),d.onreadystatechange=function(){"loaded"==this.readyState?c():""},b.body.appendChild(d)};"complete"===document.readyState?d():a.attachEvent?a.attachEvent("onload",d):a.addEventListener("load",d,!1)})();</script>
			<!--End of Chatwidget Script--><?php
		}
	}
	
?>